#include <iostream>
#include<string.h>
using namespace std;
void c (char bukva)
{
    if (bukva=='A' || bukva=='a' || bukva=='E' || bukva=='e' || bukva == 'I' || bukva=='i' || bukva=='U' || bukva=='u' || bukva =='o' || bukva =='O' || bukva =='y' || bukva== 'Y')
    {
        cout << bukva << "f" << bukva;
    }
    else
    {
        cout << bukva;
    }
}
void d (char bukva1,char bukva2,char bukva3)
{
    if (bukva1==bukva3)
    {
        if (bukva1!='f')
        {
            cout << bukva2;
        }
        else
        {
            cout << bukva1;
        }
    }
    else
    {
        cout << bukva1;
    }
}
int main ()
{
    char s[1000];
    char flag;
    cin.getline(s,1000);
    cin >> flag;
    int n=strlen(s);
    if (flag=='d')
    {
        for (int i=0; i<n-2; i++)
        {
            d(s[i],s[i+1],s[i+2]);
        }
    }
    if (flag=='c')
    {
        for (int i=0; i<n; i++)
        {
            c(s[i]);
        }
    }
        return 0;
}